%%%%%%%%%%%%%%%%% Example 10.4 %%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Observability Matrix ----
%
clear
disp('Example 10.4')

A = [0.81   -0.23   -0.045    % state matrix
     0.09    0.98   -0.0023
     0.005   0.10    1     ];
C = [1 3.5 3];                % output matrix
Ob = obsv(A,C)                % observability matrix
o_eig = rank(Ob)              % number of observable eigenvalues
%%%%%%%%%%
