%%%%%%%%%%% Reinforcement Problem 10.4 %%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Third-order system ----
%
clear
disp('Reinforcement Problem 10.4')
A = [ 0.8238     0.0400     0.0810; ...
      0.0459     0.7799     0.1161; ...
      0.0781     0.0020     0.7448]
B = [ 0.0503;    0.0296;    0.0887]
p = [0.5 0.65 0.8]'
F = place(A,B,p)
A_cl = A-B*F
diff = sort(p) - sort(eig(A_cl))
%%%%%%%%%%