%%%%%%%%%%% Reinforcement Problem 5.4 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Several periodic signals ----
%
clear
disp('Reinforcement Problem 5.4')

Ts = 1/30;               % sampling at 20 Hz
kT = [0:Ts:1]';                    
e_1 = sin(4*pi*kT + 20*pi/180) + 2*cos(26*pi*kT + 45*pi/180);
e_2 = 2*cos(14*pi*kT - 45*pi/180) + cos(36*pi*kT + 70*pi/180);
e_3 = sin(4*pi*kT + 20*pi/180) - 2*cos(14*pi*kT + 135*pi/180);

figure
subplot(3,1,1)
dplot(kT,e_1);grid
legend('e_1(kTs)')
title('Reinforcement Problem 5.4')

subplot(3,1,2)
dplot(kT,e_2);grid
legend('e_2(kTs)')
  
subplot(3,1,3)
dplot(kT,e_3);grid
legend('e_3(kTs)')
xlabel('Time (s)')
%%%%%%%%%%