%%%%%%%%%%% Reinforcement Problem 6.1 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Second-order Butterworth highpass filter ----
%
clear
disp('Reinforcement Problem 6.1')
Ts = 0.01
G = tf(0.2066*[1 -2 1],[1 0.3695 0.1958],Ts)
zz = tzero(G)
pp = pole(G);
[magp,thetap] = xy2p(pp);
dcgain(G)

figure
ucircle,axis equal,hold on
pzmap(G),hold off

figure, bode(G)
%%%%%%%%%%
