%%%%%%%%%%% Reinforcement Problem 7.4 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%   ---- Non-ideal sensor ----
%
clear
% same system as Problem P5.15
Hs = tf(20,[1 20])
A = [-5 -2 0; 1 0 0; 0 1 0]
B = [1; 0; 0], C = [1 0 2], D = 0
Ts = 0.05
Gs = ss(A,B,C,D)
Gz = c2d(Gs,Ts,'zoh')
Kz = ss(0.6,1,0.5,0,Ts)
HGz = c2d(Hs*Gs,Ts,'zoh')
Gcl = Gz*Kz/(1+HGz*Kz)
Gcl = minreal(Gcl)
damp(Gcl)
[y,t] = step(Gcl);
[Moa,tpa,tra,tsa,essa] = tstats(t,y,1)
%%%%%%%%%%