%%%%%%%%%%% Reinforcement Problem 7.5 %%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%
Ts = 0.1
Gp = tf(6*[1 10],conv([1 3],[1 4 4]))
Gz = c2d(Gp,Ts,'zoh')
Kz = 0.5;
Kp = dcgain(Gz*Kz)
Kv = vgain(Gz*Kz)
Gcl = feedback(Gz*Kz,1)
figure, step(Gcl)
ramp = [0:Ts:10];
figure, [y,t] = lsim(Gcl,ramp); plot(t,y)
%%%%%%%%%%