%%%%%%%%%%%%%%% set_my_path.m %%%%%%%%%%%%%%%%%%%
%   Discrete-Time Control Problems using        %
%       MATLAB and the Control System Toolbox   %
%   by J.H. Chow, D.K. Frederick, & N.W. Chbat  %
%         Brooks/Cole Publishing Company        %
%                September 2002                 %
%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%

%----------- get present location of top-level directory ----
here = pwd

%--- if PC, use backward slash; if Unix or Linux, use forward version --
if ispc,
    addpath([here,'\tools'])
    addpath([here,'\models'])
    disp('Have added models and tools directories to Matlab path')
    disp('You can use the ''path'' command to verify it')
  elseif isunix,
    addpath([here,'/tools'])
    addpath([here,'/models'])
    disp('Have added models and tools directories to Matlab path')
    disp('You can use the ''path'' command to verify it')
  else
    disp('Platform is not PC and not Unix/Linux, so you must')
    disp('set the Matlab path manually to include the ')
    disp('directories ''/models'' and ''/tools''')
end
%%%%%%%%%%%%%